### Constructor

# Gio Credentials new

since: 2.26

#### Declaration

    GCredentials*
    g_credentials_new (
      void
    )

#### Description

Creates a new `GCredentials` object with credentials matching the the current process.

Available since: 2.26

#### Return value

Type: `GCredentials`

A `GCredentials`. Free with g_object_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.